Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008860 [DCSS] Bug Report text always 2014-08-09 04:24 2014-08-28 08:28
Reporter neil View Status public  
Assigned To evktalo
Priority normal Resolution done  
Status resolved   Product Branch 0.15 ancient branch
Summary 0008860: Tutorial 3 (items and inventory) jewellery and boot problems
Description Reported in ##crawl-dev by rockygargoyle:

1. The boots in tutorial lesson 3 have a chance to be bardings; it used to be possible to turn that off with race:none but that went away with racial armour. The cheap fix would be to make them gloves instead; or we could re-add race:none for boots only; or we could make "mundane" disable the type change.

2. Now that amulets always identify on wear, it is likely that the player will have already identified the amulet of inaccuracy already before they find the scroll of identify, so the tutorial's instruction to ?identify the amulet cannot be followed. There are also some textual problems ("Some types of jewelley are identified when you put them on")
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0027073)
evktalo (administrator)
2014-08-22 08:33

The boots problem has hopefully been fixed fixed by using the "useful" ITEM tag.
(0027098)
evktalo (administrator)
2014-08-28 08:28

The amulet is now cursed, and the scroll of identify is replaced with scroll of remove curse.

There is now no scroll identification in the tutorial. Maybe there should be some for potions.

- Issue History
Date Modified Username Field Change
2014-08-09 04:24 neil New Issue
2014-08-09 18:46 neil Description Updated
2014-08-22 08:32 evktalo Status new => assigned
2014-08-22 08:32 evktalo Assigned To => evktalo
2014-08-22 08:33 evktalo Note Added: 0027073
2014-08-28 08:28 evktalo Note Added: 0027098
2014-08-28 08:28 evktalo Status assigned => resolved
2014-08-28 08:28 evktalo Fixed in Branch => 0.15 prerelease branch
2014-08-28 08:28 evktalo Resolution open => done


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker